:root {
    --purple: hsl(259, 100%, 65%);
    --light-red: hsl(0, 100%, 67%);
    --white: hsl(0, 0%, 100%);
    --off-white: hsl(0, 0%, 94%);
    --light-grey: hsl(0, 0%, 86%);
    --smokey-grey: hsl(0, 1%, 44%);
    --off-black: hsl(0, 0%, 8%);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    background-color: var(--off-white);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    background-color: var(--white);
    padding: 40px;
    border-radius: 20px 20px 150px 20px; 
    width: 100%;
    max-width: 600px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
}

.input-section {
    display: flex;
    gap: 20px;
}

.input-group {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.input-group label {
    font-size: 12px;
    letter-spacing: 3px;
    color: var(--smokey-grey);
    font-weight: 700;
}

.input-group input {
    width: 120px;
    padding: 12px 20px;
    border: 1px solid var(--light-grey);
    border-radius: 8px;
    font-size: 24px;
    font-weight: 700;
    outline: none;
    cursor: pointer;
}
.input-group input:hover{
  border-color: var(--purple);
}

.input-group input:focus {
    border-color: var(--purple);
}


.button-section {
    position: relative;
    margin: 40px 0;
    display: flex;
    align-items: center;
}

.button-section hr {
    width: 100%;
    border: 0;
    border-top: 1px solid var(--light-grey);
}

#calc-btn {
    background-color: var(--purple);
    width: 65px;
    height: 65px;
    border-radius: 50%;
    border: none;
    position: absolute;
    right: 0;
    cursor: pointer;
    transition: background-color 0.3s;
    display: flex;
    justify-content: center;
    align-items: center;
}

#calc-btn:hover {
    background-color: var(--off-black);
}

#calc-btn img {
    width: 30px;
}


.output-section h1 {
    font-size: 64px;
    font-style: italic;
    font-weight: 800;
    line-height: 1.1;
    color: var(--off-black);
}

.output-section span {
    color: var(--purple);
    margin-right: 10px;
}


@media (max-width: 480px) {
    .container {
        padding: 30px 20px;
        margin: 0 15px;
    }
    .input-group input {
        width: 100%;
        font-size: 18px;
    }
    #calc-btn {
        left: 50%;
        transform: translateX(-50%);
    }
    .output-section h1 {
        font-size: 45px;
    }
}